using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "Data", menuName = "ScriptableObjects/TextAsset")] public class TextAsset : ScriptableObject
{
    public List<string> text;
    public string all {
        get {
            string acc="";
            foreach (string i in text) acc += i;
            return acc;
        }
        set {
            text = new List<string>(value.Split('\n'));
        }
    }
}
